- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cnos_lldp – Manage LLDP configuration on Lenovo CNOS network devices

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of LLDP service on Lenovc CNOS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
state - | Choices: present ← absent | State of the LLDP configuration. If value is present lldp will be enabled else if it is absent it will be disabled.

## Notes

Note

- Tested against CNOS 10.9.1

## Examples

    - name: Enable LLDP service
      cnos_lldp:
        state: present

    - name: Disable LLDP service
      cnos_lldp:
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['lldp timer 1024', 'lldp trap-interval 330']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Anil Kumar Muraleedharan (@amuraleedhar)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.